Bug 21659 - Link to basket groups from order receive page are broken
Summary: Link to basket groups from order receive page are broken
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-25 10:40 UTC by Dobrica Pavlinusic
Modified: 2019-04-19 16:12 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 21659: Acquisitions Receipt summary Basket group links missing params (2.92 KB, patch)
2018-10-25 10:52 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 21659: Fix links to basket groups from order receive page (2.56 KB, patch)
2019-03-12 22:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21659: Fix links to basket groups from order receive page (2.64 KB, patch)
2019-03-15 19:18 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 21659: Change link to basket group edit page (2.63 KB, patch)
2019-04-04 08:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21659: Fix links to basket groups from order receive page (2.64 KB, patch)
2019-04-05 17:57 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 21659: Change link to basket group edit page (2.71 KB, patch)
2019-04-05 17:58 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 21659: Fix links to basket groups from order receive page (2.71 KB, patch)
2019-04-08 12:18 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21659: Change link to basket group edit page (2.78 KB, patch)
2019-04-08 12:18 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2018-10-25 10:40:26 UTC

    
Comment 1 Dobrica Pavlinusic 2018-10-25 10:52:18 UTC
Created attachment 81129 [details] [review]
Bug 21659: Acquisitions Receipt summary Basket group links missing params

Acquisitions Receipt summary report is missing parameters required
for it to work.

To test open Acquisitions Receipt summary report and verify that
basket group links are now working.
Comment 2 Alex Buckley 2018-10-29 01:05:34 UTC
Hi Dobrica

Thanks for your patch. Can you please rebase your patch against master as it is failing when I try to apply it, as the below output shows:

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 21659: Acquisitions Receipt summary Basket group links missing params
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/modules/acqui/parcel.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/acqui/parcel.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/acqui/parcel.tt
Failed to merge in the changes.
Patch failed at 0001 Bug 21659: Acquisitions Receipt summary Basket group links missing params
The copy of the patch that failed is found in:
   /home/vagrant/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-21659-Acquisitions-Receipt-summary-Basket-grou-KsKk2c.patch
Comment 3 Katrin Fischer 2019-03-12 07:31:40 UTC
Have the patch almost ready, will finish here later.
Comment 4 Katrin Fischer 2019-03-12 22:55:47 UTC
Created attachment 86556 [details] [review]
Bug 21659: Fix links to basket groups from order receive page

Fixes a problem with the template variables on the order
receive page, so that the links to basket groups work
correctly again.

To test:
- Create some orders with and without basket groups
- Receive shipment
- Verify that the basket group links for pending orders work right
- Receive an order line
- Verify that the basket group links for received orders work right
Comment 5 Katrin Fischer 2019-03-12 22:56:21 UTC
Hi Dobrica, hope it's ok I stole this one. Fixed it a little differently to your patch.
Comment 6 José-Mario Monteiro-Santos 2019-03-15 19:18:05 UTC
Created attachment 86688 [details] [review]
Bug 21659: Fix links to basket groups from order receive page

Fixes a problem with the template variables on the order
receive page, so that the links to basket groups work
correctly again.

To test:
- Create some orders with and without basket groups
- Receive shipment
- Verify that the basket group links for pending orders work right
- Receive an order line
- Verify that the basket group links for received orders work right

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 7 José-Mario Monteiro-Santos 2019-03-15 19:22:43 UTC
I've signed it off because the links actually work now, but I wonder if the additional "&basketgroupid=X" parameter in the url does anything. When I tested, including it in the url or not brought me to the same page both times (all basket groups for that vendor)
Comment 8 Katrin Fischer 2019-04-04 08:51:54 UTC
Created attachment 87399 [details] [review]
Bug 21659: Change link to basket group edit page

I have taken another look at other links like the one
from acq order search and changed the link to not lead
to the vendor's basket group page but to the edit page
of the invidividual basket group.

To test:
- Same as first patch, verify links now lead
  to the basket grou edit page

https://bugs.koha-community.org/show_bug.cgi?id=21650
Comment 9 Katrin Fischer 2019-04-04 08:52:32 UTC
Thank you, Jose. I have changed the link so it matches the one from the order search - would you test again?
Comment 10 José-Mario Monteiro-Santos 2019-04-05 17:57:47 UTC
Created attachment 87455 [details] [review]
Bug 21659: Fix links to basket groups from order receive page

Fixes a problem with the template variables on the order
receive page, so that the links to basket groups work
correctly again.

To test:
- Create some orders with and without basket groups
- Receive shipment
- Verify that the basket group links for pending orders work right
- Receive an order line
- Verify that the basket group links for received orders work right

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 11 José-Mario Monteiro-Santos 2019-04-05 17:58:56 UTC
Created attachment 87456 [details] [review]
Bug 21659: Change link to basket group edit page

I have taken another look at other links like the one
from acq order search and changed the link to not lead
to the vendor's basket group page but to the edit page
of the invidividual basket group.

To test:
- Same as first patch, verify links now lead
  to the basket grou edit page

https://bugs.koha-community.org/show_bug.cgi?id=21650

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 12 Katrin Fischer 2019-04-06 08:40:51 UTC
Thank you!
Comment 13 Martin Renvoize 2019-04-08 12:18:30 UTC
Created attachment 87508 [details] [review]
Bug 21659: Fix links to basket groups from order receive page

Fixes a problem with the template variables on the order
receive page, so that the links to basket groups work
correctly again.

To test:
- Create some orders with and without basket groups
- Receive shipment
- Verify that the basket group links for pending orders work right
- Receive an order line
- Verify that the basket group links for received orders work right

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 14 Martin Renvoize 2019-04-08 12:18:33 UTC
Created attachment 87509 [details] [review]
Bug 21659: Change link to basket group edit page

I have taken another look at other links like the one
from acq order search and changed the link to not lead
to the vendor's basket group page but to the edit page
of the invidividual basket group.

To test:
- Same as first patch, verify links now lead
  to the basket grou edit page

https://bugs.koha-community.org/show_bug.cgi?id=21650

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 15 Martin Renvoize 2019-04-08 12:18:50 UTC
Thanks all, works as expected.. PQA
Comment 16 Nick Clemens 2019-04-11 13:56:11 UTC
Awesome work all!

Pushed to master for 19.05
Comment 17 Martin Renvoize 2019-04-15 17:50:20 UTC
Pushed to 18.11.x for 18.11.05
Comment 18 Lucas Gass 2019-04-19 16:12:22 UTC
backported to 18.05.x for 18.05.12